###########################################################################
#
# win32 makefile -- src/recpt
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = ..\..

AR = lib
CC = cl
CPPFLAGS = -GX
LDFLAGS =
DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_LITTLE_ENDIAN
INCLUDES = -I"$(GSDLHOME)\src\recpt" -I"$(GSDLHOME)\lib"

LIBS = "$(GSDLHOME)\lib\gsdllib.lib"

COMPILE = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
LINK = $(CC) $(LDFLAGS) -o $@

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $< 


COMMONHEADERS = receptionist.h cgiargs.h action.h converter.h recptconfig.h \
                cgiutils.h pageaction.h comtypes.h

CGIHEADERS = cgiwrapper.h

HEADERS = $(COMMONHEADERS) $(CGIHEADERS)

COMMONSOURCES = receptionist.cpp cgiargs.cpp action.cpp converter.cpp recptconfig.cpp \
                cgiutils.cpp pageaction.cpp comtypes.cpp

CGISOURCES = librarymain.cpp cgiwrapper.cpp

SOURCES = $(COMMONSOURCES) $(CGISOURCES)


COMMONOBJECTS = receptionist.obj cgiargs.obj action.obj converter.obj recptconfig.obj \
                cgiutils.obj pageaction.obj comtypes.obj

CGIOBJECTS = librarymain.obj cgiwrapper.obj

OBJECTS = $(COMMONOBJECTS) $(CGIOBJECTS)

EXEC = library.exe
all: $(EXEC)

clean:
	del *.obj
	del library.exe
install:
	copy library.exe "$(GSDLHOME)\cgi-bin"

library.exe: $(OBJECTS)
	     $(LINK) $(OBJECTS) $(LIBS) 
